# Module Llvm_target

    module Llvm_target: sig .. end

Target Information.

This interface provides an OCaml API for LLVM target information, the classes in the Target library.

    module Endian: sig .. end

    module CodeGenOptLevel: sig .. end

    module RelocMode: sig .. end

    module CodeModel: sig .. end

    module CodeGenFileType: sig .. end

Exceptions

    exception Error of string

Data Layout

    module DataLayout: sig .. end

Target

    module Target: sig .. end

Target Machine

    module TargetMachine: sig .. end